spring:
  application:
    name: demo
  jpa:
    show-sql: true
    properties:
      hibernate:
        id:
          new_generator_mappings: true
        hbm2ddl:
          auto: validate
        dialect: org.hibernate.dialect.PostgreSQL9Dialect
      ddl-auto: validate
      naming:
        strategy: org.hibernate.cfg.ImprovedNamingStrategy
server:
  port: 8080
security:
  basic:
    enabled: false
management:
  security:
    enabled: false
endpoints:
    enabled: false
    info:
      sensitive: false
      enabled: true
    health:
      sensitive: false
      enabled: true
flyway:
  enabled: true 
  locations: classpath:db/migration
  table: schema_history_demo_service  
  baseline-on-migrate: true
  baseline-version: 0.9 
  placeholder-replacement: true
  ignore-missing-migrations: true
  ignore-ignored-migrations: true
  placeholders:
    schemaName: public    
  
